Index: bin/dxsupport.cfg
===================================================================
--- bin/dxsupport.cfg	(revision 25)
+++ bin/dxsupport.cfg	(revision 26)
@@ -1591,194 +1591,250 @@
 	}
 	"200"
 	{
+		"name" "ATI Radeon HD 6970M"
+		"vendorid"	"0x1002"
+		"mindeviceid"	"0x6720"
+		"maxdeviceid"	"0x6720"
+	}
+	"201"
+	{
 		"name" "ATI Radeon HD 6870"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x6738"
 		"maxdeviceid"	"0x6738"
 	}
-	"201"
+	"202"
 	{
 		"name" "ATI Radeon HD 6850"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x6739"
 		"maxdeviceid"	"0x6739"
 	}
-	"202"
+	"203"
 	{
+		"name" "ATI Radeon HD 6700 Series"
+		"vendorid"	"0x1002"
+		"mindeviceid"	"0x673e"
+		"maxdeviceid"	"0x673e"
+	}
+	"204"
+	{
+		"name" "ATI Radeon HD 6770M"
+		"vendorid"	"0x1002"
+		"mindeviceid"	"0x6740"
+		"maxdeviceid"	"0x6740"
+	}
+	"205"
+	{
+		"name" "ATI Radeon HD 6750M"
+		"vendorid"	"0x1002"
+		"mindeviceid"	"0x6741"
+		"maxdeviceid"	"0x6741"
+	}
+	"206"
+	{
 		"name" "ATI Radeon HD 6670"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x6758"
 		"maxdeviceid"	"0x6758"
 	}
-	"203"
+	"207"
 	{
+		"name" "ATI Radeon HD 6490M"
+		"vendorid"	"0x1002"
+		"mindeviceid"	"0x6760"
+		"maxdeviceid"	"0x6760"
+	}
+	"208"
+	{
 		"name" "ATI Radeon HD 6400 Series"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x6770"
 		"maxdeviceid"	"0x6770"
 	}
-	"204"
+	"209"
 	{
 		"name" "ATI Radeon HD 5xxx Series"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x6779"
 		"maxdeviceid"	"0x6779"
 	}
-	"205"
+	"210"
 	{
 		"name" "ATI FirePro V8800 "
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x6888"
 		"maxdeviceid"	"0x6888"
 	}
-	"206"
+	"211"
 	{
+		"name" "ATI FirePro V7800"
+		"vendorid"	"0x1002"
+		"mindeviceid"	"0x6889"
+		"maxdeviceid"	"0x6889"
+	}
+	"212"
+	{
 		"name" "ATI Radeon HD 5870"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x6898"
 		"maxdeviceid"	"0x6898"
 	}
-	"207"
+	"213"
 	{
 		"name" "ATI Radeon HD 5850"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x6899"
 		"maxdeviceid"	"0x6899"
 	}
-	"208"
+	"214"
 	{
 		"name" "ATI Radeon HD 5970"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x689c"
 		"maxdeviceid"	"0x689c"
 	}
-	"209"
+	"215"
 	{
 		"name" "ATI Radeon HD 5830"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x689e"
 		"maxdeviceid"	"0x689e"
 	}
-	"210"
+	"216"
 	{
 		"name" "ATI Mobility Radeon HD 5870"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68a0"
 		"maxdeviceid"	"0x68a0"
 	}
-	"211"
+	"217"
 	{
 		"name" "ATI Mobility Radeon HD 5850"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68a1"
 		"maxdeviceid"	"0x68a1"
 	}
-	"212"
+	"218"
 	{
 		"name" "ATI FirePro V5800 "
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68a9"
 		"maxdeviceid"	"0x68a9"
 	}
-	"213"
+	"219"
 	{
 		"name" "ATI Radeon HD 5770"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68b8"
 		"maxdeviceid"	"0x68b8"
 	}
-	"214"
+	"220"
 	{
 		"name" "ATI Radeon HD 5600 Series"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68b9"
 		"maxdeviceid"	"0x68b9"
 	}
-	"215"
+	"221"
 	{
+		"name" "ATI Radeon HD 6700 Series"
+		"vendorid"	"0x1002"
+		"mindeviceid"	"0x68ba"
+		"maxdeviceid"	"0x68ba"
+	}
+	"222"
+	{
 		"name" "ATI Radeon HD 5750"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68be"
 		"maxdeviceid"	"0x68be"
 	}
-	"216"
+	"223"
 	{
+		"name" "ATI Radeon HD 6700 Series"
+		"vendorid"	"0x1002"
+		"mindeviceid"	"0x68bf"
+		"maxdeviceid"	"0x68bf"
+	}
+	"224"
+	{
 		"name" "ATI Mobility Radeon HD 5730"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68c0"
 		"maxdeviceid"	"0x68c0"
 	}
-	"217"
+	"225"
 	{
 		"name" "ATI Mobility Radeon HD 5650"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68c1"
 		"maxdeviceid"	"0x68c1"
 	}
-	"218"
+	"226"
 	{
 		"name" "ATI FirePro V4800 "
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68c8"
 		"maxdeviceid"	"0x68c8"
 	}
-	"219"
+	"227"
 	{
 		"name" "ATI FirePro V3800"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68c9"
 		"maxdeviceid"	"0x68c9"
 	}
-	"220"
+	"228"
 	{
 		"name" "ATI Radeon HD 5670"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68d8"
 		"maxdeviceid"	"0x68d8"
 	}
-	"221"
+	"229"
 	{
 		"name" "ATI Radeon HD 5570"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68d9"
 		"maxdeviceid"	"0x68d9"
 	}
-	"222"
+	"230"
 	{
 		"name" "ATI Radeon HD 5550"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68da"
 		"maxdeviceid"	"0x68da"
 	}
-	"223"
+	"231"
 	{
 		"name" "ATI Mobility Radeon HD 5470"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68e0"
 		"maxdeviceid"	"0x68e0"
 	}
-	"224"
+	"232"
 	{
 		"name" "ATI Mobility Radeon HD 5430"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68e1"
 		"maxdeviceid"	"0x68e1"
 	}
-	"225"
+	"233"
 	{
 		"name" "ATI Mobility Radeon Graphics"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68e4"
 		"maxdeviceid"	"0x68e4"
 	}
-	"226"
+	"234"
 	{
 		"name" "ATI Radeon HD 5450"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x68f9"
 		"maxdeviceid"	"0x68f9"
 	}
-	"227"
+	"235"
 	{
 		"name" "ATI Radeon X1800"
 		"vendorid"	"0x1002"
@@ -1786,7 +1842,7 @@
 		"maxdeviceid"	"0x7101"
 		"setting.centroidhack"	"1"
 	}
-	"228"
+	"236"
 	{
 		"name" "ATI Mobility Radeon X1800"
 		"vendorid"	"0x1002"
@@ -1795,7 +1851,7 @@
 		"setting.laptop"	"1"
 		"setting.centroidhack"	"1"
 	}
-	"229"
+	"237"
 	{
 		"name" "ATI FireGL V7200"
 		"vendorid"	"0x1002"
@@ -1804,7 +1860,7 @@
 		"setting.dxlevel"	"92"
 		"setting.centroidhack"	"1"
 	}
-	"230"
+	"238"
 	{
 		"name" "ATI Radeon X1800"
 		"vendorid"	"0x1002"
@@ -1812,7 +1868,7 @@
 		"maxdeviceid"	"0x710b"
 		"setting.centroidhack"	"1"
 	}
-	"231"
+	"239"
 	{
 		"name" "ATI FireGL V7300"
 		"vendorid"	"0x1002"
@@ -1821,7 +1877,7 @@
 		"setting.dxlevel"	"92"
 		"setting.centroidhack"	"1"
 	}
-	"232"
+	"240"
 	{
 		"name" "ATI FireGL V7350"
 		"vendorid"	"0x1002"
@@ -1830,7 +1886,7 @@
 		"setting.dxlevel"	"92"
 		"setting.centroidhack"	"1"
 	}
-	"233"
+	"241"
 	{
 		"name" "ATI Radeon X1800"
 		"vendorid"	"0x1002"
@@ -1838,7 +1894,7 @@
 		"maxdeviceid"	"0x7120"
 		"setting.centroidhack"	"1"
 	}
-	"234"
+	"242"
 	{
 		"name" "ATI FireGL V7200"
 		"vendorid"	"0x1002"
@@ -1847,7 +1903,7 @@
 		"setting.dxlevel"	"92"
 		"setting.centroidhack"	"1"
 	}
-	"235"
+	"243"
 	{
 		"name" "ATI Radeon X1800"
 		"vendorid"	"0x1002"
@@ -1855,7 +1911,7 @@
 		"maxdeviceid"	"0x712a"
 		"setting.centroidhack"	"1"
 	}
-	"236"
+	"244"
 	{
 		"name" "ATI Radeon X1600"
 		"vendorid"	"0x1002"
@@ -1863,7 +1919,7 @@
 		"maxdeviceid"	"0x7140"
 		"setting.centroidhack"	"1"
 	}
-	"237"
+	"245"
 	{
 		"name" "ATI Radeon X1300"
 		"vendorid"	"0x1002"
@@ -1871,7 +1927,7 @@
 		"maxdeviceid"	"0x7142"
 		"setting.centroidhack"	"1"
 	}
-	"238"
+	"246"
 	{
 		"name" "ATI Radeon X1550"
 		"vendorid"	"0x1002"
@@ -1879,7 +1935,7 @@
 		"maxdeviceid"	"0x7143"
 		"setting.centroidhack"	"1"
 	}
-	"239"
+	"247"
 	{
 		"name" "ATI Mobility Radeon X1400"
 		"vendorid"	"0x1002"
@@ -1888,7 +1944,7 @@
 		"setting.laptop"	"1"
 		"setting.centroidhack"	"1"
 	}
-	"240"
+	"248"
 	{
 		"name" "ATI Radeon X1300"
 		"vendorid"	"0x1002"
@@ -1896,7 +1952,7 @@
 		"maxdeviceid"	"0x7146"
 		"setting.centroidhack"	"1"
 	}
-	"241"
+	"249"
 	{
 		"name" "ATI Radeon X1550"
 		"vendorid"	"0x1002"
@@ -1904,7 +1960,7 @@
 		"maxdeviceid"	"0x7147"
 		"setting.centroidhack"	"1"
 	}
-	"242"
+	"250"
 	{
 		"name" "ATI Mobility Radeon X1300"
 		"vendorid"	"0x1002"
@@ -1913,7 +1969,7 @@
 		"setting.laptop"	"1"
 		"setting.centroidhack"	"1"
 	}
-	"243"
+	"251"
 	{
 		"name" "ATI FireGL V3300"
 		"vendorid"	"0x1002"
@@ -1922,7 +1978,7 @@
 		"setting.dxlevel"	"92"
 		"setting.centroidhack"	"1"
 	}
-	"244"
+	"252"
 	{
 		"name" "ATI FireGL V3350"
 		"vendorid"	"0x1002"
@@ -1931,7 +1987,7 @@
 		"setting.dxlevel"	"92"
 		"setting.centroidhack"	"1"
 	}
-	"245"
+	"253"
 	{
 		"name" "ATI Radeon X1550"
 		"vendorid"	"0x1002"
@@ -1939,7 +1995,7 @@
 		"maxdeviceid"	"0x715f"
 		"setting.centroidhack"	"1"
 	}
-	"246"
+	"254"
 	{
 		"name" "ATI Radeon X1600"
 		"vendorid"	"0x1002"
@@ -1947,7 +2003,7 @@
 		"maxdeviceid"	"0x7160"
 		"setting.centroidhack"	"1"
 	}
-	"247"
+	"255"
 	{
 		"name" "ATI Radeon X1300"
 		"vendorid"	"0x1002"
@@ -1955,7 +2011,7 @@
 		"maxdeviceid"	"0x7162"
 		"setting.centroidhack"	"1"
 	}
-	"248"
+	"256"
 	{
 		"name" "ATI Radeon X1550"
 		"vendorid"	"0x1002"
@@ -1963,7 +2019,7 @@
 		"maxdeviceid"	"0x7163"
 		"setting.centroidhack"	"1"
 	}
-	"249"
+	"257"
 	{
 		"name" "ATI Radeon X1300"
 		"vendorid"	"0x1002"
@@ -1971,7 +2027,7 @@
 		"maxdeviceid"	"0x7166"
 		"setting.centroidhack"	"1"
 	}
-	"250"
+	"258"
 	{
 		"name" "ATI Radeon X1550"
 		"vendorid"	"0x1002"
@@ -1979,21 +2035,21 @@
 		"maxdeviceid"	"0x7167"
 		"setting.centroidhack"	"1"
 	}
-	"251"
+	"259"
 	{
 		"name" "ATI FireGL V3300"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x7172"
 		"maxdeviceid"	"0x7172"
 	}
-	"252"
+	"260"
 	{
 		"name" "ATI FireGL V3350"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x7173"
 		"maxdeviceid"	"0x7173"
 	}
-	"253"
+	"261"
 	{
 		"name" "ATI Radeon X1550"
 		"vendorid"	"0x1002"
@@ -2001,7 +2057,7 @@
 		"maxdeviceid"	"0x717f"
 		"setting.centroidhack"	"1"
 	}
-	"254"
+	"262"
 	{
 		"name" "ATI Radeon X1650"
 		"vendorid"	"0x1002"
@@ -2009,7 +2065,7 @@
 		"maxdeviceid"	"0x7181"
 		"setting.centroidhack"	"1"
 	}
-	"255"
+	"263"
 	{
 		"name" "ATI Radeon X1300"
 		"vendorid"	"0x1002"
@@ -2017,7 +2073,7 @@
 		"maxdeviceid"	"0x7183"
 		"setting.centroidhack"	"1"
 	}
-	"256"
+	"264"
 	{
 		"name" "ATI Mobility Radeon X1450"
 		"vendorid"	"0x1002"
@@ -2026,7 +2082,7 @@
 		"setting.laptop"	"1"
 		"setting.centroidhack"	"1"
 	}
-	"257"
+	"265"
 	{
 		"name" "ATI Radeon X1550"
 		"vendorid"	"0x1002"
@@ -2034,7 +2090,7 @@
 		"maxdeviceid"	"0x7187"
 		"setting.centroidhack"	"1"
 	}
-	"258"
+	"266"
 	{
 		"name" "ATI Mobility Radeon X2300"
 		"vendorid"	"0x1002"
@@ -2043,7 +2099,7 @@
 		"setting.laptop"	"1"
 		"setting.centroidhack"	"1"
 	}
-	"259"
+	"267"
 	{
 		"name" "ATI Mobility Radeon X2300"
 		"vendorid"	"0x1002"
@@ -2052,7 +2108,7 @@
 		"setting.laptop"	"1"
 		"setting.centroidhack"	"1"
 	}
-	"260"
+	"268"
 	{
 		"name" "ATI Mobility Radeon X1350"
 		"vendorid"	"0x1002"
@@ -2061,7 +2117,7 @@
 		"setting.laptop"	"1"
 		"setting.centroidhack"	"1"
 	}
-	"261"
+	"269"
 	{
 		"name" "ATI Radeon X1550"
 		"vendorid"	"0x1002"
@@ -2069,7 +2125,7 @@
 		"maxdeviceid"	"0x7193"
 		"setting.centroidhack"	"1"
 	}
-	"262"
+	"270"
 	{
 		"name" "ATI Mobility Radeon X1350"
 		"vendorid"	"0x1002"
@@ -2078,7 +2134,7 @@
 		"setting.laptop"	"1"
 		"setting.centroidhack"	"1"
 	}
-	"263"
+	"271"
 	{
 		"name" "ATI FireMV 2250"
 		"vendorid"	"0x1002"
@@ -2086,7 +2142,7 @@
 		"maxdeviceid"	"0x719b"
 		"setting.centroidhack"	"1"
 	}
-	"264"
+	"272"
 	{
 		"name" "ATI Radeon X1550"
 		"vendorid"	"0x1002"
@@ -2094,7 +2150,7 @@
 		"maxdeviceid"	"0x719f"
 		"setting.centroidhack"	"1"
 	}
-	"265"
+	"273"
 	{
 		"name" "ATI Radeon X1600"
 		"vendorid"	"0x1002"
@@ -2102,7 +2158,7 @@
 		"maxdeviceid"	"0x71a1"
 		"setting.centroidhack"	"1"
 	}
-	"266"
+	"274"
 	{
 		"name" "ATI Radeon X1300"
 		"vendorid"	"0x1002"
@@ -2110,7 +2166,7 @@
 		"maxdeviceid"	"0x71a3"
 		"setting.centroidhack"	"1"
 	}
-	"267"
+	"275"
 	{
 		"name" "ATI Radeon X1300"
 		"vendorid"	"0x1002"
@@ -2118,7 +2174,7 @@
 		"maxdeviceid"	"0x71a7"
 		"setting.centroidhack"	"1"
 	}
-	"268"
+	"276"
 	{
 		"name" "ATI Radeon X1600"
 		"vendorid"	"0x1002"
@@ -2126,7 +2182,7 @@
 		"maxdeviceid"	"0x71c0"
 		"setting.centroidhack"	"1"
 	}
-	"269"
+	"277"
 	{
 		"name" "ATI Radeon X1650"
 		"vendorid"	"0x1002"
@@ -2134,7 +2190,7 @@
 		"maxdeviceid"	"0x71c1"
 		"setting.centroidhack"	"1"
 	}
-	"270"
+	"278"
 	{
 		"name" "ATI Radeon X1600"
 		"vendorid"	"0x1002"
@@ -2142,7 +2198,7 @@
 		"maxdeviceid"	"0x71c3"
 		"setting.centroidhack"	"1"
 	}
-	"271"
+	"279"
 	{
 		"name" "ATI MOBILITY FireGL V5200"
 		"vendorid"	"0x1002"
@@ -2152,7 +2208,7 @@
 		"setting.dxlevel"	"92"
 		"setting.centroidhack"	"1"
 	}
-	"272"
+	"280"
 	{
 		"name" "ATI Mobility Radeon X1600"
 		"vendorid"	"0x1002"
@@ -2161,7 +2217,7 @@
 		"setting.laptop"	"1"
 		"setting.centroidhack"	"1"
 	}
-	"273"
+	"281"
 	{
 		"name" "ATI Radeon X1650"
 		"vendorid"	"0x1002"
@@ -2169,7 +2225,7 @@
 		"maxdeviceid"	"0x71c6"
 		"setting.centroidhack"	"1"
 	}
-	"274"
+	"282"
 	{
 		"name" "ATI Radeon X1600"
 		"vendorid"	"0x1002"
@@ -2177,7 +2233,7 @@
 		"maxdeviceid"	"0x71c7"
 		"setting.centroidhack"	"1"
 	}
-	"275"
+	"283"
 	{
 		"name" "ATI Radeon X1600"
 		"vendorid"	"0x1002"
@@ -2185,7 +2241,7 @@
 		"maxdeviceid"	"0x71cd"
 		"setting.centroidhack"	"1"
 	}
-	"276"
+	"284"
 	{
 		"name" "ATI Radeon X1300"
 		"vendorid"	"0x1002"
@@ -2193,7 +2249,7 @@
 		"maxdeviceid"	"0x71ce"
 		"setting.centroidhack"	"1"
 	}
-	"277"
+	"285"
 	{
 		"name" "ATI FireGL V3400"
 		"vendorid"	"0x1002"
@@ -2202,7 +2258,7 @@
 		"setting.dxlevel"	"92"
 		"setting.centroidhack"	"1"
 	}
-	"278"
+	"286"
 	{
 		"name" "ATI Mobility FireGL V5250"
 		"vendorid"	"0x1002"
@@ -2212,7 +2268,7 @@
 		"setting.dxlevel"	"92"
 		"setting.centroidhack"	"1"
 	}
-	"279"
+	"287"
 	{
 		"name" "ATI Mobility Radeon X1700"
 		"vendorid"	"0x1002"
@@ -2221,7 +2277,7 @@
 		"setting.laptop"	"1"
 		"setting.centroidhack"	"1"
 	}
-	"280"
+	"288"
 	{
 		"name" "ATI FireGL V5200"
 		"vendorid"	"0x1002"
@@ -2230,7 +2286,7 @@
 		"setting.dxlevel"	"92"
 		"setting.centroidhack"	"1"
 	}
-	"281"
+	"289"
 	{
 		"name" "ATI Mobility Radeon X1700"
 		"vendorid"	"0x1002"
@@ -2239,7 +2295,7 @@
 		"setting.laptop"	"1"
 		"setting.centroidhack"	"1"
 	}
-	"282"
+	"290"
 	{
 		"name" "ATI Radeon X1600"
 		"vendorid"	"0x1002"
@@ -2247,7 +2303,7 @@
 		"maxdeviceid"	"0x71e0"
 		"setting.centroidhack"	"1"
 	}
-	"283"
+	"291"
 	{
 		"name" "ATI Radeon X1650"
 		"vendorid"	"0x1002"
@@ -2255,7 +2311,7 @@
 		"maxdeviceid"	"0x71e1"
 		"setting.centroidhack"	"1"
 	}
-	"284"
+	"292"
 	{
 		"name" "ATI Radeon X1600"
 		"vendorid"	"0x1002"
@@ -2263,7 +2319,7 @@
 		"maxdeviceid"	"0x71e3"
 		"setting.centroidhack"	"1"
 	}
-	"285"
+	"293"
 	{
 		"name" "ATI Radeon X1650"
 		"vendorid"	"0x1002"
@@ -2271,7 +2327,7 @@
 		"maxdeviceid"	"0x71e7"
 		"setting.centroidhack"	"1"
 	}
-	"286"
+	"294"
 	{
 		"name" "ATI Radeon X1600"
 		"vendorid"	"0x1002"
@@ -2279,7 +2335,7 @@
 		"maxdeviceid"	"0x71ed"
 		"setting.centroidhack"	"1"
 	}
-	"287"
+	"295"
 	{
 		"name" "ATI Radeon X1300"
 		"vendorid"	"0x1002"
@@ -2287,7 +2343,7 @@
 		"maxdeviceid"	"0x71ee"
 		"setting.centroidhack"	"1"
 	}
-	"288"
+	"296"
 	{
 		"name" "ATI FireGL V3400"
 		"vendorid"	"0x1002"
@@ -2296,7 +2352,7 @@
 		"setting.dxlevel"	"92"
 		"setting.centroidhack"	"1"
 	}
-	"289"
+	"297"
 	{
 		"name" "ATI FireGL V5200"
 		"vendorid"	"0x1002"
@@ -2305,7 +2361,7 @@
 		"setting.dxlevel"	"92"
 		"setting.centroidhack"	"1"
 	}
-	"290"
+	"298"
 	{
 		"name" "ATI Mobility Radeon HD 2300"
 		"vendorid"	"0x1002"
@@ -2314,7 +2370,7 @@
 		"setting.laptop"	"1"
 		"setting.centroidhack"	"1"
 	}
-	"291"
+	"299"
 	{
 		"name" "ATI Radeon X1950"
 		"vendorid"	"0x1002"
@@ -2322,7 +2378,7 @@
 		"maxdeviceid"	"0x7240"
 		"setting.centroidhack"	"1"
 	}
-	"292"
+	"300"
 	{
 		"name" "ATI Radeon X1950"
 		"vendorid"	"0x1002"
@@ -2330,7 +2386,7 @@
 		"maxdeviceid"	"0x7244"
 		"setting.centroidhack"	"1"
 	}
-	"293"
+	"301"
 	{
 		"name" "ATI Radeon X1950"
 		"vendorid"	"0x1002"
@@ -2338,7 +2394,7 @@
 		"maxdeviceid"	"0x7248"
 		"setting.centroidhack"	"1"
 	}
-	"294"
+	"302"
 	{
 		"name" "ATI Radeon X1900"
 		"vendorid"	"0x1002"
@@ -2346,7 +2402,7 @@
 		"maxdeviceid"	"0x7249"
 		"setting.centroidhack"	"1"
 	}
-	"295"
+	"303"
 	{
 		"name" "ATI Radeon X1900"
 		"vendorid"	"0x1002"
@@ -2354,7 +2410,7 @@
 		"maxdeviceid"	"0x724b"
 		"setting.centroidhack"	"1"
 	}
-	"296"
+	"304"
 	{
 		"name" "ATI Radeon X1950"
 		"vendorid"	"0x1002"
@@ -2362,7 +2418,7 @@
 		"maxdeviceid"	"0x7260"
 		"setting.centroidhack"	"1"
 	}
-	"297"
+	"305"
 	{
 		"name" "ATI Radeon X1950"
 		"vendorid"	"0x1002"
@@ -2370,7 +2426,7 @@
 		"maxdeviceid"	"0x7264"
 		"setting.centroidhack"	"1"
 	}
-	"298"
+	"306"
 	{
 		"name" "ATI Radeon X1900"
 		"vendorid"	"0x1002"
@@ -2378,7 +2434,7 @@
 		"maxdeviceid"	"0x7269"
 		"setting.centroidhack"	"1"
 	}
-	"299"
+	"307"
 	{
 		"name" "ATI Radeon X1900"
 		"vendorid"	"0x1002"
@@ -2386,7 +2442,7 @@
 		"maxdeviceid"	"0x726b"
 		"setting.centroidhack"	"1"
 	}
-	"300"
+	"308"
 	{
 		"name" "ATI Radeon X1950"
 		"vendorid"	"0x1002"
@@ -2394,7 +2450,7 @@
 		"maxdeviceid"	"0x7280"
 		"setting.centroidhack"	"1"
 	}
-	"301"
+	"309"
 	{
 		"name" "ATI Mobility Radeon X1900"
 		"vendorid"	"0x1002"
@@ -2403,7 +2459,7 @@
 		"setting.laptop"	"1"
 		"setting.centroidhack"	"1"
 	}
-	"302"
+	"310"
 	{
 		"name" "ATI Radeon X1950"
 		"vendorid"	"0x1002"
@@ -2411,7 +2467,7 @@
 		"maxdeviceid"	"0x7288"
 		"setting.centroidhack"	"1"
 	}
-	"303"
+	"311"
 	{
 		"name" "ATI Radeon X1650"
 		"vendorid"	"0x1002"
@@ -2419,7 +2475,7 @@
 		"maxdeviceid"	"0x7291"
 		"setting.centroidhack"	"1"
 	}
-	"304"
+	"312"
 	{
 		"name" "ATI Radeon X1650"
 		"vendorid"	"0x1002"
@@ -2427,7 +2483,7 @@
 		"maxdeviceid"	"0x7293"
 		"setting.centroidhack"	"1"
 	}
-	"305"
+	"313"
 	{
 		"name" "ATI Radeon X1950"
 		"vendorid"	"0x1002"
@@ -2435,7 +2491,7 @@
 		"maxdeviceid"	"0x72a0"
 		"setting.centroidhack"	"1"
 	}
-	"306"
+	"314"
 	{
 		"name" "ATI Radeon X1950"
 		"vendorid"	"0x1002"
@@ -2443,7 +2499,7 @@
 		"maxdeviceid"	"0x72a8"
 		"setting.centroidhack"	"1"
 	}
-	"307"
+	"315"
 	{
 		"name" "ATI Radeon X1650"
 		"vendorid"	"0x1002"
@@ -2451,7 +2507,7 @@
 		"maxdeviceid"	"0x72b1"
 		"setting.centroidhack"	"1"
 	}
-	"308"
+	"316"
 	{
 		"name" "ATI Radeon X1650"
 		"vendorid"	"0x1002"
@@ -2459,21 +2515,21 @@
 		"maxdeviceid"	"0x72b3"
 		"setting.centroidhack"	"1"
 	}
-	"309"
+	"317"
 	{
 		"name" "ATI Radeon 9000/9100 PRO IGP"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x7834"
 		"maxdeviceid"	"0x7834"
 	}
-	"310"
+	"318"
 	{
 		"name" "ATI Mobility Radeon 9000 IGP"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x7835"
 		"maxdeviceid"	"0x7835"
 	}
-	"311"
+	"319"
 	{
 		"name" "ATI Radeon Xpress 1200"
 		"vendorid"	"0x1002"
@@ -2482,7 +2538,7 @@
 		"setting.dxlevel"	"92"
 		"setting.centroidhack"	"1"
 	}
-	"312"
+	"320"
 	{
 		"name" "ATI Radeon Xpress 1270"
 		"vendorid"	"0x1002"
@@ -2491,7 +2547,7 @@
 		"setting.dxlevel"	"92"
 		"setting.centroidhack"	"1"
 	}
-	"313"
+	"321"
 	{
 		"name" "ATI Radeon Xpress 1200"
 		"vendorid"	"0x1002"
@@ -2500,7 +2556,7 @@
 		"setting.dxlevel"	"92"
 		"setting.centroidhack"	"1"
 	}
-	"314"
+	"322"
 	{
 		"name" "ATI Radeon Xpress 1250"
 		"vendorid"	"0x1002"
@@ -2509,7 +2565,7 @@
 		"setting.dxlevel"	"92"
 		"setting.centroidhack"	"1"
 	}
-	"315"
+	"323"
 	{
 		"name" "ATI Radeon 2100"
 		"vendorid"	"0x1002"
@@ -2518,7 +2574,7 @@
 		"setting.dxlevel"	"92"
 		"setting.centroidhack"	"1"
 	}
-	"316"
+	"324"
 	{
 		"name" "ATI Radeon HD 2900 XT"
 		"vendorid"	"0x1002"
@@ -2526,7 +2582,7 @@
 		"maxdeviceid"	"0x9400"
 		"setting.centroidhack"	"1"
 	}
-	"317"
+	"325"
 	{
 		"name" "ATI Radeon HD 2900"
 		"vendorid"	"0x1002"
@@ -2534,7 +2590,7 @@
 		"maxdeviceid"	"0x9403"
 		"setting.centroidhack"	"1"
 	}
-	"318"
+	"326"
 	{
 		"name" "ATI Radeon HD 2900"
 		"vendorid"	"0x1002"
@@ -2542,7 +2598,7 @@
 		"maxdeviceid"	"0x9405"
 		"setting.centroidhack"	"1"
 	}
-	"319"
+	"327"
 	{
 		"name" "ATI FireGL V8650"
 		"vendorid"	"0x1002"
@@ -2551,7 +2607,7 @@
 		"setting.dxlevel"	"92"
 		"setting.centroidhack"	"1"
 	}
-	"320"
+	"328"
 	{
 		"name" "ATI FireGL V8600"
 		"vendorid"	"0x1002"
@@ -2560,7 +2616,7 @@
 		"setting.dxlevel"	"92"
 		"setting.centroidhack"	"1"
 	}
-	"321"
+	"329"
 	{
 		"name" "ATI FireGL V7600"
 		"vendorid"	"0x1002"
@@ -2569,7 +2625,7 @@
 		"setting.dxlevel"	"92"
 		"setting.centroidhack"	"1"
 	}
-	"322"
+	"330"
 	{
 		"name" "ATI Radeon HD 4870 X2"
 		"vendorid"	"0x1002"
@@ -2577,7 +2633,7 @@
 		"maxdeviceid"	"0x9441"
 		"setting.centroidhack"	"1"
 	}
-	"323"
+	"331"
 	{
 		"name" "ATI Radeon HD 4850"
 		"vendorid"	"0x1002"
@@ -2585,21 +2641,21 @@
 		"maxdeviceid"	"0x9442"
 		"setting.centroidhack"	"1"
 	}
-	"324"
+	"332"
 	{
 		"name" "ATI Radeon HD 4850 X2"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9443"
 		"maxdeviceid"	"0x9443"
 	}
-	"325"
+	"333"
 	{
 		"name" "ATI FirePro V8750 "
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9444"
 		"maxdeviceid"	"0x9444"
 	}
-	"326"
+	"334"
 	{
 		"name" "ATI Mobility Radeon HD 4850"
 		"vendorid"	"0x1002"
@@ -2607,70 +2663,70 @@
 		"maxdeviceid"	"0x944a"
 		"setting.centroidhack"	"1"
 	}
-	"327"
+	"335"
 	{
 		"name" "ATI Radeon HD 4830"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x944c"
 		"maxdeviceid"	"0x944c"
 	}
-	"328"
+	"336"
 	{
 		"name" "ATI Radeon HD 4730"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x944e"
 		"maxdeviceid"	"0x944e"
 	}
-	"329"
+	"337"
 	{
 		"name" "AMD FireStream 9270"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9450"
 		"maxdeviceid"	"0x9450"
 	}
-	"330"
+	"338"
 	{
 		"name" "ATI FirePro V8700 "
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9456"
 		"maxdeviceid"	"0x9456"
 	}
-	"331"
+	"339"
 	{
 		"name" "ATI Mobility Radeon HD 4870"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x945a"
 		"maxdeviceid"	"0x945a"
 	}
-	"332"
+	"340"
 	{
 		"name" "ATI Radeon HD 4890"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9460"
 		"maxdeviceid"	"0x9460"
 	}
-	"333"
+	"341"
 	{
 		"name" "ATI Radeon HD 4800 Series"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9462"
 		"maxdeviceid"	"0x9462"
 	}
-	"334"
+	"342"
 	{
 		"name" "ATI Mobility Radeon HD 4650"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9480"
 		"maxdeviceid"	"0x9480"
 	}
-	"335"
+	"343"
 	{
 		"name" "ATI Mobility Radeon HD 4670"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9488"
 		"maxdeviceid"	"0x9488"
 	}
-	"336"
+	"344"
 	{
 		"name" "ATI Radeon HD 4670"
 		"vendorid"	"0x1002"
@@ -2678,14 +2734,14 @@
 		"maxdeviceid"	"0x9490"
 		"setting.centroidhack"	"1"
 	}
-	"337"
+	"345"
 	{
 		"name" "ATI Radeon HD 4650"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9495"
 		"maxdeviceid"	"0x9495"
 	}
-	"338"
+	"346"
 	{
 		"name" "ATI Radeon HD 4650"
 		"vendorid"	"0x1002"
@@ -2693,63 +2749,63 @@
 		"maxdeviceid"	"0x9498"
 		"setting.centroidhack"	"1"
 	}
-	"339"
+	"347"
 	{
 		"name" "ATI FirePro V7750 "
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x949c"
 		"maxdeviceid"	"0x949c"
 	}
-	"340"
+	"348"
 	{
 		"name" "ATI FirePro V5700 "
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x949e"
 		"maxdeviceid"	"0x949e"
 	}
-	"341"
+	"349"
 	{
 		"name" "ATI FirePro V3750 "
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x949f"
 		"maxdeviceid"	"0x949f"
 	}
-	"342"
+	"350"
 	{
 		"name" "ATI Mobility Radeon HD 4830"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x94a0"
 		"maxdeviceid"	"0x94a0"
 	}
-	"343"
+	"351"
 	{
 		"name" "ATI FirePro M7740"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x94a3"
 		"maxdeviceid"	"0x94a3"
 	}
-	"344"
+	"352"
 	{
 		"name" "ATI Radeon HD 4770"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x94b3"
 		"maxdeviceid"	"0x94b3"
 	}
-	"345"
+	"353"
 	{
 		"name" "ATI Radeon HD 4750"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x94b4"
 		"maxdeviceid"	"0x94b4"
 	}
-	"346"
+	"354"
 	{
 		"name" "ATI Radeon HD 4770"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x94b5"
 		"maxdeviceid"	"0x94b5"
 	}
-	"347"
+	"355"
 	{
 		"name" "ATI Radeon HD 2400"
 		"vendorid"	"0x1002"
@@ -2757,7 +2813,7 @@
 		"maxdeviceid"	"0x94c1"
 		"setting.centroidhack"	"1"
 	}
-	"348"
+	"356"
 	{
 		"name" "ATI Radeon HD 2400"
 		"vendorid"	"0x1002"
@@ -2765,7 +2821,7 @@
 		"maxdeviceid"	"0x94c4"
 		"setting.centroidhack"	"1"
 	}
-	"349"
+	"357"
 	{
 		"name" "ATI Radeon HD 2350"
 		"vendorid"	"0x1002"
@@ -2773,7 +2829,7 @@
 		"maxdeviceid"	"0x94c7"
 		"setting.centroidhack"	"1"
 	}
-	"350"
+	"358"
 	{
 		"name" "ATI Mobility Radeon HD 2400"
 		"vendorid"	"0x1002"
@@ -2782,7 +2838,7 @@
 		"setting.laptop"	"1"
 		"setting.centroidhack"	"1"
 	}
-	"351"
+	"359"
 	{
 		"name" "ATI Radeon HD 2400"
 		"vendorid"	"0x1002"
@@ -2790,7 +2846,7 @@
 		"maxdeviceid"	"0x94cc"
 		"setting.centroidhack"	"1"
 	}
-	"352"
+	"360"
 	{
 		"name" "ATI Radeon HD 3870"
 		"vendorid"	"0x1002"
@@ -2798,7 +2854,7 @@
 		"maxdeviceid"	"0x9501"
 		"setting.centroidhack"	"1"
 	}
-	"353"
+	"361"
 	{
 		"name" "ATI Mobility Radeon HD 3850"
 		"vendorid"	"0x1002"
@@ -2807,7 +2863,7 @@
 		"setting.laptop"	"1"
 		"setting.centroidhack"	"1"
 	}
-	"354"
+	"362"
 	{
 		"name" "ATI Radeon HD 3850"
 		"vendorid"	"0x1002"
@@ -2815,7 +2871,7 @@
 		"maxdeviceid"	"0x9505"
 		"setting.centroidhack"	"1"
 	}
-	"355"
+	"363"
 	{
 		"name" "ATI Mobility Radeon HD 3850 X2"
 		"vendorid"	"0x1002"
@@ -2823,7 +2879,7 @@
 		"maxdeviceid"	"0x9506"
 		"setting.centroidhack"	"1"
 	}
-	"356"
+	"364"
 	{
 		"name" "ATI Mobility Radeon HD 3870"
 		"vendorid"	"0x1002"
@@ -2831,7 +2887,7 @@
 		"maxdeviceid"	"0x9509"
 		"setting.centroidhack"	"1"
 	}
-	"357"
+	"365"
 	{
 		"name" "ATI Radeon HD 3870"
 		"vendorid"	"0x1002"
@@ -2839,14 +2895,14 @@
 		"maxdeviceid"	"0x950f"
 		"setting.centroidhack"	"1"
 	}
-	"358"
+	"366"
 	{
 		"name" "ATI FireGL V7700"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9511"
 		"maxdeviceid"	"0x9511"
 	}
-	"359"
+	"367"
 	{
 		"name" "ATI Radeon HD 3850"
 		"vendorid"	"0x1002"
@@ -2854,7 +2910,7 @@
 		"maxdeviceid"	"0x9513"
 		"setting.centroidhack"	"1"
 	}
-	"360"
+	"368"
 	{
 		"name" "ATI Radeon HD 3850"
 		"vendorid"	"0x1002"
@@ -2862,7 +2918,7 @@
 		"maxdeviceid"	"0x9515"
 		"setting.centroidhack"	"1"
 	}
-	"361"
+	"369"
 	{
 		"name" "ATI Radeon HD 4550"
 		"vendorid"	"0x1002"
@@ -2870,7 +2926,7 @@
 		"maxdeviceid"	"0x9540"
 		"setting.centroidhack"	"1"
 	}
-	"362"
+	"370"
 	{
 		"name" "ATI Radeon HD 4350"
 		"vendorid"	"0x1002"
@@ -2878,7 +2934,7 @@
 		"maxdeviceid"	"0x954f"
 		"setting.centroidhack"	"1"
 	}
-	"363"
+	"371"
 	{
 		"name" "ATI Mobility Radeon HD 4300"
 		"vendorid"	"0x1002"
@@ -2886,7 +2942,7 @@
 		"maxdeviceid"	"0x9552"
 		"setting.centroidhack"	"1"
 	}
-	"364"
+	"372"
 	{
 		"name" "ATI Mobility Radeon HD 4570"
 		"vendorid"	"0x1002"
@@ -2894,7 +2950,7 @@
 		"maxdeviceid"	"0x9553"
 		"setting.centroidhack"	"1"
 	}
-	"365"
+	"373"
 	{
 		"name" "ATI Mobility Radeon HD 4550"
 		"vendorid"	"0x1002"
@@ -2902,7 +2958,7 @@
 		"maxdeviceid"	"0x9555"
 		"setting.centroidhack"	"1"
 	}
-	"366"
+	"374"
 	{
 		"name" "ATI Radeon HD 2600"
 		"vendorid"	"0x1002"
@@ -2910,7 +2966,7 @@
 		"maxdeviceid"	"0x9580"
 		"setting.centroidhack"	"1"
 	}
-	"367"
+	"375"
 	{
 		"name" "ATI Mobility Radeon HD 2600"
 		"vendorid"	"0x1002"
@@ -2919,7 +2975,7 @@
 		"setting.laptop"	"1"
 		"setting.centroidhack"	"1"
 	}
-	"368"
+	"376"
 	{
 		"name" "ATI Mobility Radeon HD 2600"
 		"vendorid"	"0x1002"
@@ -2928,7 +2984,7 @@
 		"setting.laptop"	"1"
 		"setting.centroidhack"	"1"
 	}
-	"369"
+	"377"
 	{
 		"name" "ATI Radeon HD 2600"
 		"vendorid"	"0x1002"
@@ -2936,7 +2992,7 @@
 		"maxdeviceid"	"0x958a"
 		"setting.centroidhack"	"1"
 	}
-	"370"
+	"378"
 	{
 		"name" "ATI FireGL V5600"
 		"vendorid"	"0x1002"
@@ -2944,7 +3000,7 @@
 		"maxdeviceid"	"0x958c"
 		"setting.centroidhack"	"1"
 	}
-	"371"
+	"379"
 	{
 		"name" "ATI FireGL V3600"
 		"vendorid"	"0x1002"
@@ -2952,7 +3008,7 @@
 		"maxdeviceid"	"0x958d"
 		"setting.centroidhack"	"1"
 	}
-	"372"
+	"380"
 	{
 		"name" "ATI Mobility Radeon HD 3650 "
 		"vendorid"	"0x1002"
@@ -2961,14 +3017,14 @@
 		"setting.laptop"	"1"
 		"setting.centroidhack"	"1"
 	}
-	"373"
+	"381"
 	{
 		"name" "ATI Mobility FireGL V5725"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9593"
 		"maxdeviceid"	"0x9593"
 	}
-	"374"
+	"382"
 	{
 		"name" "ATI Radeon HD 3650"
 		"vendorid"	"0x1002"
@@ -2976,14 +3032,14 @@
 		"maxdeviceid"	"0x9598"
 		"setting.centroidhack"	"1"
 	}
-	"375"
+	"383"
 	{
 		"name" "ATI Radeon HD 3600 Series"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9599"
 		"maxdeviceid"	"0x9599"
 	}
-	"376"
+	"384"
 	{
 		"name" "ATI Radeon HD 3470"
 		"vendorid"	"0x1002"
@@ -2991,7 +3047,7 @@
 		"maxdeviceid"	"0x95c0"
 		"setting.centroidhack"	"1"
 	}
-	"377"
+	"385"
 	{
 		"name" "ATI Mobility Radeon HD 3430"
 		"vendorid"	"0x1002"
@@ -2999,7 +3055,7 @@
 		"maxdeviceid"	"0x95c2"
 		"setting.centroidhack"	"1"
 	}
-	"378"
+	"386"
 	{
 		"name" "ATI Mobility Radeon HD 3470"
 		"vendorid"	"0x1002"
@@ -3008,7 +3064,7 @@
 		"setting.laptop"	"1"
 		"setting.centroidhack"	"1"
 	}
-	"379"
+	"387"
 	{
 		"name" "ATI Radeon HD 3450"
 		"vendorid"	"0x1002"
@@ -3016,35 +3072,35 @@
 		"maxdeviceid"	"0x95c5"
 		"setting.centroidhack"	"1"
 	}
-	"380"
+	"388"
 	{
 		"name" "ATI Radeon HD 4350"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x95c6"
 		"maxdeviceid"	"0x95c6"
 	}
-	"381"
+	"389"
 	{
 		"name" "ATI FirePro V3700"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x95cc"
 		"maxdeviceid"	"0x95cc"
 	}
-	"382"
+	"390"
 	{
 		"name" "ATI FirePro 2450"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x95cd"
 		"maxdeviceid"	"0x95cd"
 	}
-	"383"
+	"391"
 	{
 		"name" "ATI FireMV 2260"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x95cf"
 		"maxdeviceid"	"0x95cf"
 	}
-	"384"
+	"392"
 	{
 		"name" "ATI Radeon HD 3200"
 		"vendorid"	"0x1002"
@@ -3052,7 +3108,7 @@
 		"maxdeviceid"	"0x9610"
 		"setting.centroidhack"	"1"
 	}
-	"385"
+	"393"
 	{
 		"name" "ATI Radeon 3100"
 		"vendorid"	"0x1002"
@@ -3060,7 +3116,7 @@
 		"maxdeviceid"	"0x9611"
 		"setting.centroidhack"	"1"
 	}
-	"386"
+	"394"
 	{
 		"name" "ATI Radeon HD 3200"
 		"vendorid"	"0x1002"
@@ -3068,7 +3124,7 @@
 		"maxdeviceid"	"0x9612"
 		"setting.centroidhack"	"1"
 	}
-	"387"
+	"395"
 	{
 		"name" "ATI Radeon 3100"
 		"vendorid"	"0x1002"
@@ -3076,7 +3132,7 @@
 		"maxdeviceid"	"0x9613"
 		"setting.centroidhack"	"1"
 	}
-	"388"
+	"396"
 	{
 		"name" "ATI Radeon HD 3300"
 		"vendorid"	"0x1002"
@@ -3084,56 +3140,56 @@
 		"maxdeviceid"	"0x9614"
 		"setting.centroidhack"	"1"
 	}
-	"389"
+	"397"
 	{
 		"name" "AMD 760G"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9616"
 		"maxdeviceid"	"0x9616"
 	}
-	"390"
+	"398"
 	{
 		"name" "AMD Llano"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9640"
 		"maxdeviceid"	"0x9640"
 	}
-	"391"
+	"399"
 	{
 		"name" "ATI Radeon HD 4200"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9710"
 		"maxdeviceid"	"0x9710"
 	}
-	"392"
+	"400"
 	{
 		"name" "ATI Mobility Radeon HD 4200"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9712"
 		"maxdeviceid"	"0x9712"
 	}
-	"393"
+	"401"
 	{
 		"name" "ATI Mobility Radeon 4100"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9713"
 		"maxdeviceid"	"0x9713"
 	}
-	"394"
+	"402"
 	{
 		"name" "ATI Radeon HD 4290"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9714"
 		"maxdeviceid"	"0x9714"
 	}
-	"395"
+	"403"
 	{
 		"name" "ATI Radeon HD 4250"
 		"vendorid"	"0x1002"
 		"mindeviceid"	"0x9715"
 		"maxdeviceid"	"0x9715"
 	}
-	"397"
+	"405"
 	{
 		"name" "NVIDIA GeForce FX 5900"
 		"vendorid"	"0x10de"
@@ -3144,7 +3200,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"398"
+	"406"
 	{
 		"name" "NVIDIA TNT"
 		"vendorid"	"0x10de"
@@ -3155,7 +3211,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"399"
+	"407"
 	{
 		"name" "NVIDIA TNT2"
 		"vendorid"	"0x10de"
@@ -3166,7 +3222,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"400"
+	"408"
 	{
 		"name" "NVIDIA GeForce2 MX"
 		"vendorid"	"0x10de"
@@ -3177,7 +3233,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"401"
+	"409"
 	{
 		"name" "NVIDIA TNT"
 		"vendorid"	"0x10de"
@@ -3188,7 +3244,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"402"
+	"410"
 	{
 		"name" "NVIDIA TNT2"
 		"vendorid"	"0x10de"
@@ -3199,7 +3255,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"403"
+	"411"
 	{
 		"name" "NVIDIA TNT2"
 		"vendorid"	"0x10de"
@@ -3210,7 +3266,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"404"
+	"412"
 	{
 		"name" "NVidia GeForce 6800"
 		"vendorid"	"0x10de"
@@ -3225,7 +3281,7 @@
 		"setting.suppresspixelshadercentroidhackfixup"	"1"
 		"setting.prefertexturesinhwmemory"	"0"
 	}
-	"405"
+	"413"
 	{
 		"name" "NVidia NV40G"
 		"vendorid"	"0x10de"
